%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary: Pluma Plugins for the text editor for MATE
Name:    pluma-plugins
Version: 1.28.0
Release: %mkrel 1
License: GPLv2+
Group:   Graphical desktop/MATE
URL:     http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: iso-codes
BuildRequires: itstool
BuildRequires: pluma-devel
BuildRequires: mate-common >= 1.22.0
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0) >= 2.36
BuildRequires: pkgconfig(iso-codes) >= 0.35
BuildRequires: pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires: pkgconfig(sm) >= 1.0.0
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(libsoup-gnome-2.4)
BuildRequires: pkgconfig(enchant-2)
BuildRequires: yelp-tools
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.22.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(gtksourceview-3.0) >= 3.0.0
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gthread-2.0) >= 2.13.0
BuildRequires: pkgconfig(gio-2.0) >= 2.26.0
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libpeas-1.0) >= 1.2.0
BuildRequires: pkgconfig(libpeas-gtk-1.0) >= 1.2.0
BuildRequires: pkgconfig(pygobject-3.0)
BuildRequires: python

# the run-command plugin uses zenity
Requires: zenity
Requires: lib64peas0
Requires: lib64peas-gtk0
Requires: pluma

%description
Plugins for the Pluma Text Editor

%package doc
Summary:  Documentation support for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for %{name}.


%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x    \
    --disable-schemas-compile    \

%make_build

%install
rm -rf %buildroot
%make_install

## clean up all the static libs for plugins
find %{buildroot} -name "*.la" -delete


%files
%{_datadir}
%{_libdir}
%exclude %{_datadir}/help

%files doc
%{_datadir}/help


%changelog
* Thu Feb 22 2024 tex - 1.28.0-1pclos2024
- new version

* Mon Aug 09 2021 tex - 1.26.0-1pclos2021
- new version
